function L2=LaguerreFuncN( n, alpha, lambda, X )
%LaguerreFuncN vraci vygenerovanou Laguerrovu funkci stupne n
%n - stupen funkce
%alpha - koeficient alpha
%lambda - koeficient lambda
%X - vektor casove osy

%vypocet transformace
pocetX=length(X);
L1=zeros(1,pocetX);L2=ones(1,pocetX);
for i=1:n
    L0=L1;
    L1=L2;
    L2=((2.*i-1+alpha-(X.*lambda)).*L1-(i-1+alpha).*L0)./i;
end
L2=L2.*(exp(-lambda.*X/2).*sqrt(lambda));
end
